# Dies ist ein Beispiel für eine local_settings.py in einem Docker-Deployment.
# ruff: noqa: ERA001
IS_ADMIN = True
IS_API = True
IS_BACKOFFICE = True
IS_FRONTEND = False

ALLOWED_HOSTS = ['hub.rc3.world']

LOGGING = {
    'version': 1,
    'disable_existing_loggers': False,
    'filters': {},
    'formatters': {
        'verbose': {
            'format': '{levelname} {asctime} {module} {process:d} {thread:d} {message}',
            'style': '{',
        },
        'simple': {
            'format': '{levelname} {message}',
            'style': '{',
        },
    },
    'handlers': {
        'file': {
            'level': 'INFO',
            'class': 'logging.handlers.RotatingFileHandler',
            'maxBytes': 50000000,
            'backupCount': 2,
            'filename': '/data/django.log',  # Pfad aus Sicht des Docker-Containers!
            'formatter': 'verbose',
        },
        'console': {
            'level': 'INFO',
            'class': 'logging.StreamHandler',
            'formatter': 'simple',
        },
    },
    'loggers': {
        'django': {
            'handlers': ['file', 'console'],
            'level': 'INFO',
        },
    },
}
