from django import forms
from django.utils.translation import gettext_lazy as _


class AssemblyTeamMessageForm(forms.Form):
    subject = forms.CharField(max_length=200, label=_('AssemblyTeam__message__subject'))
    include_assembly_name_in_subject = forms.BooleanField(initial=True, label=_('AssemblyTeam__message__include_assembly_name_in_subject'), required=False)
    message = forms.CharField(widget=forms.Textarea, label=_('AssemblyTeam__message__message'))


__all__ = [
    'AssemblyTeamMessageForm',
]
