from django.db import migrations


def set_schedulesource_conference(apps, schema_editor):
    ScheduleSource = apps.get_model("core", "ScheduleSource")
    db_alias = schema_editor.connection.alias
    for src in ScheduleSource.objects.using(db_alias).prefetch_related('assembly').all():
        src.conference_id = src.assembly.conference_id
        src.save(update_fields=['conference_id'])


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0095a_schedulesource_wildcard'),
    ]

    operations = [
        migrations.RunPython(set_schedulesource_conference, migrations.RunPython.noop, elidable=True),
    ]
