# Generated by Django 5.1.2 on 2024-11-23 23:57

import core.fields
import django.db.models.deletion
import uuid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("core", "0157_alter_activitylogentry_kind"),
    ]

    operations = [
        migrations.CreateModel(
            name="Invitation",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("requester_id", models.CharField(max_length=36)),
                ("requested_id", models.CharField(max_length=36)),
                (
                    "comment",
                    models.TextField(
                        blank=True,
                        help_text="Invitation__comment__help_text",
                        verbose_name="Invitation__comment",
                    ),
                ),
                (
                    "requested_at",
                    models.DateTimeField(
                        auto_now_add=True, verbose_name="Invitation__requested_at"
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True, verbose_name="Invitation__updated_at"
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("ASSEMBLY_MEMBER", "Assembly Member"),
                            ("TEAM_MEMBER", "Team Member"),
                            ("HABITAT", "Habitat"),
                        ],
                        max_length=20,
                        verbose_name="Invitation__type",
                    ),
                ),
                (
                    "state",
                    models.CharField(
                        choices=[
                            ("requested", "Invitation__requests_state-requested"),
                            ("withdrawn", "Invitation__requests_state-withdrawn"),
                            ("accepted", "Invitation__requests_state-accepted"),
                            ("rejected", "Invitation__requests_state-rejected"),
                        ],
                        default="requested",
                        max_length=20,
                        verbose_name="Invitation__state",
                    ),
                ),
                (
                    "conference",
                    core.fields.ConferenceReference(
                        help_text="Conference__reference_help",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.conference",
                        verbose_name="Conference__reference",
                    ),
                ),
                (
                    "decision_by",
                    models.ForeignKey(
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.SET_DEFAULT,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Invitation__decision_by",
                    ),
                ),
                (
                    "requested_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="invitations_received",
                        to="contenttypes.contenttype",
                    ),
                ),
                (
                    "requester_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="invitations_sent",
                        to="contenttypes.contenttype",
                    ),
                ),
                (
                    "sender",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Invitation__sender",
                    ),
                ),
            ],
            options={
                "indexes": [
                    models.Index(
                        fields=["requester_id", "requested_id"],
                        name="core_invita_request_9caa77_idx",
                    ),
                    models.Index(
                        fields=["requester_type", "requester_id"], name="requester_idx"
                    ),
                    models.Index(
                        fields=["requested_type", "requested_id"], name="requested_idx"
                    ),
                ],
            },
        ),
    ]
