# Generated by Django 5.1.3 on 2024-12-09 01:56

import core.fields
import django.contrib.auth.models
import django.db.models.deletion
import rules.contrib.models
import uuid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
        ("core", "0168_alter_invitation_type"),
    ]

    operations = [
        migrations.CreateModel(
            name="Team",
            fields=[
                (
                    "group_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="auth.group",
                    ),
                ),
                (
                    "uuid",
                    models.UUIDField(default=uuid.uuid4, editable=False, unique=True),
                ),
                (
                    "description",
                    models.TextField(
                        blank=True,
                        help_text="Team__description__help",
                        verbose_name="Team__description",
                    ),
                ),
                (
                    "description_de",
                    models.TextField(
                        blank=True,
                        help_text="Team__description__help",
                        null=True,
                        verbose_name="Team__description",
                    ),
                ),
                (
                    "description_en",
                    models.TextField(
                        blank=True,
                        help_text="Team__description__help",
                        null=True,
                        verbose_name="Team__description",
                    ),
                ),
                (
                    "description_html",
                    models.TextField(
                        blank=True, null=True, verbose_name="Team__description_html"
                    ),
                ),
                (
                    "description_html_de",
                    models.TextField(
                        blank=True, null=True, verbose_name="Team__description_html"
                    ),
                ),
                (
                    "description_html_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="Team__description_html"
                    ),
                ),
                (
                    "require_staff",
                    models.BooleanField(
                        default=False,
                        help_text="Team__require_staff__help",
                        verbose_name="Team__require_staff",
                    ),
                ),
                (
                    "conference",
                    core.fields.ConferenceReference(
                        help_text="Conference__reference_help",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="Teams",
                        to="core.conference",
                        verbose_name="Team__conference",
                    ),
                ),
            ],
            options={
                "verbose_name": "Team",
                "verbose_name_plural": "Teams",
            },
            bases=(rules.contrib.models.RulesModelMixin, "auth.group"),
            managers=[
                ("objects", django.contrib.auth.models.GroupManager()),
            ],
        ),
        migrations.CreateModel(
            name="TeamMember",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "can_manage",
                    models.BooleanField(
                        default=False,
                        help_text="TeamMember__can_manage__help",
                        verbose_name="TeamMember__can_manage",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        auto_now_add=True, verbose_name="TeamMember__created"
                    ),
                ),
                (
                    "updated",
                    models.DateTimeField(
                        auto_now=True, verbose_name="TeamMember__updated"
                    ),
                ),
                (
                    "team",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="members",
                        to="core.team",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="teams",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "TeamMember",
                "verbose_name_plural": "TeamMembers",
            },
            bases=(rules.contrib.models.RulesModelMixin, models.Model),
        ),
        migrations.AddIndex(
            model_name="team",
            index=models.Index(fields=["uuid"], name="core_team_uuid_4e6673_idx"),
        ),
        migrations.AlterUniqueTogether(
            name="teammember",
            unique_together={("user", "team")},
        ),
    ]
