from typing import TYPE_CHECKING, Callable

from rules.predicates import predicate

if TYPE_CHECKING:
    from src.core.models import PlatformUser


def has_perms(
    *required_permissions: str,
    require_all: bool = True,
    require_staff: bool = False,
) -> Callable[['PlatformUser'], bool]:
    @predicate
    def test_team_perms(user: 'PlatformUser') -> bool:
        # TODO: Update after deciding oh one or more conferences in #648
        conference_member = user.conferences.first()
        if conference_member is None:
            return False
        return conference_member.has_perms(*required_permissions, require_all=require_all, require_staff=require_staff)

    return test_team_perms


@predicate
def is_conference_staff(user: 'PlatformUser') -> bool:
    # TODO: Update after deciding oh one or more conferences in #648
    conference_member = user.conferences.first()
    if conference_member is None:
        return False
    return conference_member.is_authenticated and conference_member.is_staff
